summaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-11-16 15:48:11 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-11-16 15:48:11 +0000
commitd6c8352925bc2286b24f01b8cfababa16782b1f5 (patch)
tree2543aced22107ce690b426cf39b6431dda5e07b9 /bootstrap
parentModified file to match seen output. (diff)
downloadrtems-d6c8352925bc2286b24f01b8cfababa16782b1f5.tar.bz2
Patch rtems-rc-19991105-1.diff.gz from Ralf Corsepius
<corsepiu@faw.uni-ulm.de> which does the following: This is the configuration cleanup patch: Main changes: * TARGET_ARCH removed * target.cfg.in moved to c/make/target.cfg.in (Only configured once for all BSPs of a target) * BARE_XXX variables appended to bsp.cfg.in * autogen renamed to bootstrap * removed stray variables from make/custom/*.cfg To apply: cd <source-tree> rm c/src/make/target.cfg.in cp autogen bootstrap mkdir c/make cp make/target.cfg.in c/make/target.cfg.in rm make/target.cfg.in rm autogen patch -p1 < rtems-rc-19991105-1.diff
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap114
1 files changed, 114 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000000..2672595433
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,114 @@
+#!/bin/sh
+#
+# helps bootstrapping, when checked out from CVS
+# requires GNU autoconf and GNU automake
+#
+# $Id$
+
+# this is not meant to be exported outside the source tree
+
+# NOTE: Inspired by libtool's autogen script
+
+# to be run from the toplevel directory of RTEMS'
+# source tree
+
+progname=`basename $0`
+verbose="";
+quiet="false"
+mode="generate"
+
+usage()
+{
+ echo
+ echo "usage: ${progname} [-h|-q|-v]"
+ echo
+ echo "options:"
+ echo " -h .. display this message and exit";
+ echo " -q .. quiet, don't display directories";
+ echo " -v .. verbose, pass -v to automake when invoking automake"
+ echo " -c .. clean, remove all aclocal/autoconf/automake generated files"
+ echo
+ exit 1;
+}
+
+if test ! -f VERSION; then
+ echo "${progname}:"
+ echo " Please change directory to RTEMS's toplevel directory"
+ exit 1;
+fi
+
+while test $# -gt 0; do
+case $1 in
+-h|--he|--hel|--help)
+ usage ;;
+-q|--qu|--qui|--quie|--quiet)
+ quiet="true";
+ shift;;
+-v|--ve|--ver|--verb|--verbo|--verbos|--verbose)
+ verbose="-v";
+ shift;;
+-c|--cl|--cle|--clea|--clean)
+ mode="clean";
+ shift;;
+-*) echo "unknown option $1" ;
+ usage ;;
+*) echo "invalid parameter $1" ;
+ usage ;;
+esac
+done
+
+pwd=`pwd`;
+
+case $mode in
+generate)
+ confs=`find $pwd -name 'configure.in' -print`
+ aclocal_dir=$pwd/aclocal
+ for i in $confs; do
+ dir=`dirname $i`;
+ ( test "$quiet" = "true" || echo "$dir";
+ cd $dir;
+ aclocal -I $aclocal_dir;
+ autoconf;
+ test -f Makefile.am && automake $verbose ;
+ test -n "`grep CONFIG_HEADER configure.in`" && autoheader ;
+ test -f Makefile.am && test -n "`grep 'stamp-h\.in' Makefile.in`" \
+ && echo timestamp > stamp-h.in
+ )
+ done
+ ;;
+clean)
+ test "$quiet" = "true" || echo "removing automake generated Makefile.in files"
+ files=`find . -name 'Makefile.am' -print | sed -e 's%\.am%\.in%g'` ;
+ for i in $files; do if test -f $i; then
+ rm -f $i
+ test "$verbose" = "-v" && echo "$i"
+ fi; done
+
+ test "$quiet" = "true" || echo "removing configure files"
+ files=`find . -name 'configure' -print` ;
+ test "$verbose" = "-v" && test -n "$files" && echo "$files" ;
+ for i in $files; do if test -f $i; then
+ rm -f $i
+ test "$verbose" = "-v" && echo "$i"
+ fi; done
+
+ test "$quiet" = "true" || echo "removing aclocal.m4 files"
+ files=`find . -name 'aclocal.m4' -print` ;
+ test "$verbose" = "-v" && test -n "$files" && echo "$files" ;
+ for i in $files; do if test -f $i; then
+ rm -f $i
+ test "$verbose" = "-v" && echo "$i"
+ fi; done
+
+ find . -name '*~' -print | xargs rm -f
+ find . -name '*.orig' -print | xargs rm -f
+ find . -name '*.rej' -print | xargs rm -f
+ find . -name 'config.status' -print | xargs rm -f
+ find . -name 'config.log' -print | xargs rm -f
+ find . -name 'config.cache' -print | xargs rm -f
+ find . -name 'Makefile' -print | xargs rm -f
+ find . -name '.deps' -print | xargs rm -rf
+ find . -name '.libs' -print | xargs rm -rf
+ find . -name 'stamp-h.in' | xargs rm -rf
+ ;;
+esac